import request from '@/utils/request'

//获取监测点电压暂降和短时中断分布情况数据 
export function getDaily1Data() {
    return request({
        url: '/api1/Distributionnetwork-analysis/Daily1/getDaily1',
        method: 'get'
    })
}

//获取监测点电压暂升分布情况数据 
export function getDaily2Data() {
    return request({
        url: '/api1/Distributionnetwork-analysis/Daily2/getDaily2',
        method: 'get'
    })
}

//获取监测点暂态事件发生次数数据 
export function getDaily3Data() {
    return request({
        url: '/api1/Distributionnetwork-analysis/Daily3/getDaily3',
        method: 'get'
    })
}
export function getEventDipShortDistribution(data) {
    return request({
        url: '/event-boot/pwEventMonitorReport/getEventDipShortDistribution',
        method: 'post',
        data
    })
}
export function getEventRiseDistribution(data) {
    return request({
        url: '/event-boot/pwEventMonitorReport/getEventRiseDistribution',
        method: 'post',
        data
    })
}
export function getMonitorEventCount(data) {
    return request({
        url: '/event-boot/pwEventMonitorReport/getMonitorEventCount',
        method: 'post',
        data
    })
}